Index: DCWoRMS/branches/coolemall/src/test/article/recs/resources1.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/resources1.xml	(revision 1174)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/resources1.xml	(revision 1208)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchemaNew.xsd">
 	
 	<timeEstimationPlugin>
@@ -9,7 +9,5 @@
 	<resources>
 		<computingResource class="DataCenter" name="RECS">
-			<resourceUnit class="storage">
-				<amount>4800000</amount>
-			</resourceUnit>
+
 				<profile>
 					<powerProfile>
@@ -19,12 +17,13 @@
 					</powerProfile>	
 				</profile>
-				
+							<resourceUnit class="storage">
+				<amount>4800000</amount>
+			</resourceUnit>
 			<computingResource class="ComputingNode" type="Intel_i7" count="8" name="IntelI7">
-				<resourceUnit class="memory">
-					<amount>16384</amount>
-				</resourceUnit>
-				<parameter name="category">
+							<parameter name="category">
 					<value>Intel_i7</value>
 				</parameter>
+
+
 				<profile>
 					<powerProfile>
@@ -32,5 +31,5 @@
 							<name>test.article.recs.plugins.energy.IntelNodeEEP</name>
 						</energyEstimationPlugin>	
-						<powerStates>
+						<powerStateList>
 							<powerState>
 								<name>ON</name>
@@ -41,7 +40,11 @@
 								<powerUsage>0</powerUsage>
 							</powerState>
-						</powerStates>				
+						</powerStateList>				
 					</powerProfile>
+					<thermalProfile></thermalProfile>
 				</profile>
+								<resourceUnit class="memory">
+					<amount>16384</amount>
+				</resourceUnit>
 				<computingResource class="Processor" count="1">
 					<profile>
@@ -210,7 +213,5 @@
 			
 			<computingResource class="ComputingNode" type="AMD_Fusion" count="6" name="AMDFusion">
-				<resourceUnit class="memory">
-					<amount>4096</amount>
-				</resourceUnit>
+
 				<parameter name="category">
 					<value>AMD_Fusion</value>
@@ -221,5 +222,5 @@
 							<name>test.article.recs.plugins.energy.AmdNodeEEP</name>
 						</energyEstimationPlugin>	
-						<powerStates>
+						<powerStateList>
 							<powerState>
 								<name>ON</name>
@@ -230,7 +231,11 @@
 								<powerUsage>0</powerUsage>
 							</powerState>
-						</powerStates>				
+						</powerStateList>				
 					</powerProfile>
+					<thermalProfile></thermalProfile>
 				</profile>
+								<resourceUnit class="memory">
+					<amount>4096</amount>
+				</resourceUnit>
 				<computingResource class="Processor" count="1">
 					<profile>
@@ -268,7 +273,5 @@
 
 			<computingResource class="ComputingNode" type="Atom_D510" count="4" name="AtomD510">
-				<resourceUnit class="memory">
-					<amount>2048</amount>
-				</resourceUnit>
+
 				<parameter name="category">
 					<value>Atom_D510</value>
@@ -279,5 +282,5 @@
 							<name>test.article.recs.plugins.energy.AtomD510NodeEEP</name>
 						</energyEstimationPlugin>	
-						<powerStates>
+						<powerStateList>
 							<powerState>
 								<name>ON</name>
@@ -288,7 +291,11 @@
 								<powerUsage>0</powerUsage>
 							</powerState>
-						</powerStates>				
+						</powerStateList>				
 					</powerProfile>
+					<thermalProfile></thermalProfile>
 				</profile>
+								<resourceUnit class="memory">
+					<amount>2048</amount>
+				</resourceUnit>
 				<computingResource class="Processor" count="1">
 					<profile>
@@ -464,5 +471,5 @@
 			<!-- Definition of scheduling plugin at cluster level -->
 			<schedulingPlugin>
-				<name>test.article.recs.plugins.scheduling.RecsExclusivenessEnOptSP</name>
+				<name>test.article.recs.plugins.scheduling.RecsExclusivenessRandomSP</name>
 			</schedulingPlugin>	
 			<!-- Reference to managed resources - cluster manages resources belonging to the defined data center -->
Index: DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java	(revision 665)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/utils/RecsProcessorPowerInterface.java	(revision 1208)
@@ -35,5 +35,5 @@
 				resource.setStatus(ResourceStatus.FREE);
 			}
-			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getName()));		
+			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getFullName()));		
 		}
 
@@ -69,5 +69,5 @@
 			//speed.setAmount(Double.valueOf(currentPState.getFrequency()).intValue());
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
-			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getName()));
+			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getFullName()));
 			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 1172)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/IntelNodeEEP.java	(revision 1208)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1172)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsNodeModelEEP.java	(revision 1208)
@@ -12,8 +12,8 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Core;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.resources.units.PEUnit;
 import schedframe.resources.units.ProcessingElements;
@@ -43,5 +43,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 707)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCpuEEP.java	(revision 1208)
@@ -1,7 +1,7 @@
 package test.article.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -10,5 +10,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java	(revision 656)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/RecsCoreEEP.java	(revision 1208)
@@ -1,6 +1,6 @@
 package test.article.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -9,5 +9,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		return powerConsumption;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 707)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 1208)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 1172)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AmdNodeEEP.java	(revision 1208)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1172)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1208)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 1197)
+++ DCWoRMS/branches/coolemall/src/test/article/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 1208)
@@ -228,18 +228,18 @@
 			}
 			if(freeCores == cpu.getCores().size()){
-				if(cpu.getComputingNode().getCategory().compareTo("Intel_i7") == 0){
+				if(cpu.getNode().getCategory().compareTo("Intel_i7") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P13").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("AMD_Fusion") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("AMD_Fusion") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P1").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("Atom_D510") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("Atom_D510") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P7").getName());	
 				} 
 			}
 			else {
-				if(cpu.getComputingNode().getCategory().compareTo("Intel_i7") == 0){
+				if(cpu.getNode().getCategory().compareTo("Intel_i7") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P13").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("AMD_Fusion") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("AMD_Fusion") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P1").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("Atom_D510") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("Atom_D510") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P7").getName());	
 				} 	