Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCoreEEP.java	(revision 1210)
@@ -1,6 +1,6 @@
 package test.article2.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -9,5 +9,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+				PhysicalResource esource) {
 		double powerConsumption = 0;
 		return powerConsumption;
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/DataCenterEnergyEstimationPlugin.java	(revision 1210)
@@ -1,5 +1,4 @@
 package test.article2.recs.plugins.energy;
 
-import example.energy.BaseEnergyEstimationPlugin;
 import schedframe.resources.computing.ComputingNode;
 import schedframe.resources.computing.ComputingResource;
@@ -7,5 +6,7 @@
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.resources.computing.profiles.energy.power.PowerUsage;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
+import example.energy.BaseEnergyEstimationPlugin;
 
 public class DataCenterEnergyEstimationPlugin extends BaseEnergyEstimationPlugin{
@@ -13,5 +14,5 @@
 	@Override
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double power = 0;
 		DataCenter dataCenter = (DataCenter)resource;
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AmdNodeEEP.java	(revision 1210)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsNodeBaseEEP.java	(revision 1210)
@@ -57,5 +57,5 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.FAN_OFF);
+				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
 			else
 				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/RecsCpuBaseEEP.java	(revision 1210)
@@ -6,4 +6,5 @@
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
 import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -18,5 +19,5 @@
 	
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		
 		double powerConsumption = 0;
@@ -38,5 +39,5 @@
 		try {
 			if(event.getReason() == EventReason.SIM_INIT)
-				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.FAN_OFF);
+				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
 			else
 				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1210)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1210)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/FanEnergyEstimationPlugin.java	(revision 1210)
@@ -0,0 +1,39 @@
+package test.article2.recs.plugins.energy;
+
+import schedframe.events.scheduling.EventReason;
+import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.computing.profiles.energy.airthroughput.StandardAirThroughputStateName;
+import schedframe.resources.devices.PhysicalResource;
+import schedframe.scheduling.manager.tasks.JobRegistry;
+import example.energy.BaseEnergyEstimationPlugin;
+
+public class FanEnergyEstimationPlugin extends BaseEnergyEstimationPlugin {
+
+	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
+			PhysicalResource resource) {
+		double powerConsumption = 0;
+		try {
+			if(event.getReason() == EventReason.SIM_INIT)
+				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(StandardAirThroughputStateName.OFF);
+			else
+				powerConsumption = powerConsumption + resource.getAirThroughputInterface().getPowerConsumption(resource.getAirThroughputInterface().getAirThroughputState());
+		} catch (NoSuchFieldException e) {
+		}
+
+		return powerConsumption;
+	}
+
+	public double estimateAirThroughput(EnergyEvent event, JobRegistry jobRegistry, PhysicalResource resource) {
+		double airThroughput = 0;
+		try {
+			if(event.getReason() == EventReason.SIM_INIT)
+				airThroughput = resource.getAirThroughputInterface().getAirFlow(StandardAirThroughputStateName.OFF);
+			else
+				airThroughput = resource.getAirThroughputInterface().getAirFlow(resource.getAirThroughputInterface().getAirThroughputState());
+		} catch (NoSuchFieldException e) {
+			// TODO Auto-generated catch block
+			e.printStackTrace();
+		}
+		return airThroughput;
+	}
+}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/energy/IntelNodeEEP.java	(revision 1210)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;