Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/utils/RecsProcessorPowerInterface.java	(revision 1211)
@@ -35,5 +35,5 @@
 				resource.setStatus(ResourceStatus.FREE);
 			}
-			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getName()));		
+			resource.handleEvent(new EnergyEvent(EnergyEventType.POWER_STATE_CHANGED, resource.getFullName()));		
 		}
 
@@ -69,5 +69,5 @@
 			//speed.setAmount(Double.valueOf(currentPState.getFrequency()).intValue());
 			//new ResourceEventCommand(resource).execute(EnergyEventType.FREQUENCY_CHANGED);
-			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getName()));
+			resource.handleEvent(new EnergyEvent(EnergyEventType.FREQUENCY_CHANGED, resource.getFullName()));
 			//resource.getScheduler().sendInternal(GridSimTags.SCHEDULE_NOW, DCWormsTags.UPDATE, resource.getName());
 			return true;
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOutSP.java	(revision 1211)
@@ -62,5 +62,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInOffSP.java	(revision 1211)
@@ -63,5 +63,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -186,7 +186,7 @@
 		for(ComputingNode node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
 			} else {
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutOffSP.java	(revision 1211)
@@ -64,5 +64,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -187,7 +187,7 @@
 		for(ComputingNode node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsInIdleSP.java	(revision 1211)
@@ -59,5 +59,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -166,5 +166,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp1/RecsOutIdleSP.java	(revision 1211)
@@ -59,5 +59,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -166,5 +166,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 826)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsLeft2RightSP.java	(revision 1211)
@@ -62,5 +62,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				// node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else {
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1178)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsIn2OutSP.java	(revision 1211)
@@ -61,5 +61,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -170,5 +170,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1178)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsOut2InSP.java	(revision 1211)
@@ -61,5 +61,5 @@
 					ComputingNode node = chooseProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -169,5 +169,5 @@
 				//node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
 			} else { 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 			}
 		}
Index: /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java
===================================================================
--- /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1200)
+++ /DCWoRMS/branches/coolemall/src/test/article2/recs/plugins/scheduling/exp2/RecsRandomSP.java	(revision 1211)
@@ -58,5 +58,5 @@
 					ComputingNode node = chooseRandomProvider(resourceManager, task);
 					if (node != null) {
-						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+						node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 						notSelectedNodes.remove(node);
 						addToSchedulingPlan(plan, task, chooseResourcesForExecution(node, task));
@@ -152,9 +152,9 @@
 		for(ComputingNode node : nodes){
 			if(node.getFreeProcessorsNumber() == node.getProcessorsNumber()){
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_OFF);
-			} else if(new JobRegistryImpl(node.getName()).getRunningTasks().size() > 1)
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.OFF);
+			} else if(new JobRegistryImpl(node.getFullName()).getRunningTasks().size() > 1)
 				node.getAirThroughputInterface().setAirThroughputState(new UserAirThroughputStateName("FAN_ON_TURBO"));
 			else 
-				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.FAN_ON);
+				node.getAirThroughputInterface().setAirThroughputState(StandardAirThroughputStateName.ON);
 		}
 	}