Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 1217)
@@ -5,8 +5,8 @@
 compRes;1225672200000;1;
 compRes;1225679400000;0.75;
-compRes;1225691170000;0.5;
-compRes;1225697400000;0.25;
+compRes;1225687439000;0.5;
+compRes;1225690769000;0.25;
 compRes;1225701000000;0;
-mean: 0.6649853801169591
+mean: 0.5892397660818713
 
 Processor_0;1225666800000;1;
@@ -15,10 +15,10 @@
 
 Processor_1;1225668600000;1;
-Processor_1;1225691170000;0;
-mean: 0.6599415204678363
+Processor_1;1225687439000;0;
+mean: 0.5508479532163743
 
 Processor_2;1225670400000;1;
-Processor_2;1225697400000;0;
-mean: 0.7894736842105263
+Processor_2;1225690769000;0;
+mean: 0.5955847953216374
 
 Processor_3;1225672200000;1;
Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt	(revision 674)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Simulation.txt	(revision 1217)
@@ -4,10 +4,10 @@
 Makespan;34,200;0;0;34,200;34,200;34,200;1;
 Resources queue length;0.158;0;0;0.158;0.158;0.158;1;
-Resources total load;0.711;0;0;0.711;0.711;0.711;1;
-Energy usage;2,263.375;358.996;128,877.922;1,715;2,655;9,053.5;4;
-Task completion time;27,000;6,104.097;37,260,000;18,000;34,200;108,000;4;
-Task execution time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Resources total load;0.589;0;0;0.589;0.589;0.589;1;
+Energy usage;3,155;0;0;3,155;3,155;12,620;4;
+Task completion time;22,852;7,746.381;60,006,416.5;12,600;34,200;91,408;4;
+Task execution time;20,152;5,779.093;33,397,916.5;12,600;28,800;80,608;4;
 Task start time;0;0;0;0;0;0;4;
-Task flow time;24,300;4,124.318;17,010,000;18,000;28,800;97,200;4;
+Task flow time;20,152;5,779.093;33,397,916.5;12,600;28,800;80,608;4;
 Task waiting time;0;0;0;0;0;0;4;
 Task lateness;0;0;0;0;0;0;4;
Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt	(revision 674)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Tasks.txt	(revision 1217)
@@ -1,5 +1,5 @@
 JobID;TaskID;UserDN;ResName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
-1;1;-1;cluster;1;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[Processor_0];
-2;2;-1;cluster;1;1225668600;1225692000;1225692000;1225668600;1225668600;25200;1800;23400;1800;0;23400;0;0;0;0;0;0;[Processor_1];
-3;3;-1;cluster;1;1225670400;1225697400;1225697400;1225670400;1225670400;30600;3600;27000;3600;0;27000;0;0;0;0;0;0;[Processor_2];
+1;1;-1;cluster;1;1225666800;1225679400;1225679400;1225666800;1225666800;12600;0;12600;0;0;12600;0;0;0;0;0;0;[Processor_0];
+2;2;-1;cluster;1;1225668600;1225687439;1225687439;1225668600;1225668600;20639;1800;18839;1800;0;18839;0;0;0;0;0;0;[Processor_1];
+3;3;-1;cluster;1;1225670400;1225690769;1225690769;1225670400;1225670400;23969;3600;20369;3600;0;20369;0;0;0;0;0;0;[Processor_2];
 4;4;-1;cluster;1;1225672200;1225701000;1225701000;1225672200;1225672200;34200;5400;28800;5400;0;28800;0;0;0;0;0;0;[Processor_3];
Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt	(revision 674)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Jobs.txt	(revision 1217)
@@ -1,5 +1,5 @@
 jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
-1;18,000;18,000;0;18,000;0;0;0;0;18,000;
-2;25,200;23,400;0;23,400;0;0;0;0;25,200;
-3;30,600;27,000;0;27,000;0;0;0;0;30,600;
+1;12,600;12,600;0;12,600;0;0;0;0;12,600;
+2;20,639;18,839;0;18,839;0;0;0;0;20,639;
+3;23,969;20,369;0;20,369;0;0;0;0;23,969;
 4;34,200;28,800;0;28,800;0;0;0;0;34,200;
Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Temperature.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Temperature.txt	(revision 1217)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_Temperature.txt	(revision 1217)
@@ -0,0 +1,6 @@
+resourceName;timestamp;temperature;
+
+
+
+
+
Index: DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt	(revision 883)
+++ DCWoRMS/branches/coolemall/src/test/ariel/experiment_result/Stats_Simulation 1_EnergyUsage.txt	(revision 1217)
@@ -5,26 +5,26 @@
 Processor_0;1225670400000;337;
 Processor_0;1225672200000;330;
-Processor_0;1225679400000;10;
-Processor_0;1225701000000;10;
-mean: 130.0 sum: 1235.0
+Processor_0;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
 
-Processor_1;1225666800000;10;
+Processor_1;1225666800000;350;
 Processor_1;1225668600000;343;
 Processor_1;1225670400000;337;
 Processor_1;1225672200000;330;
-Processor_1;1225691170000;10;
-Processor_1;1225701000000;10;
-mean: 222.23391812865498 sum: 2111.222222222222
+Processor_1;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
 
-Processor_2;1225666800000;10;
+Processor_2;1225666800000;350;
+Processor_2;1225668600000;343;
 Processor_2;1225670400000;337;
 Processor_2;1225672200000;330;
-Processor_2;1225697400000;10;
-Processor_2;1225701000000;10;
-mean: 263.0 sum: 2498.5
+Processor_2;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
 
-Processor_3;1225666800000;10;
+Processor_3;1225666800000;350;
+Processor_3;1225668600000;343;
+Processor_3;1225670400000;337;
 Processor_3;1225672200000;330;
-Processor_3;1225701000000;10;
-mean: 279.4736842105263 sum: 2655.0
+Processor_3;1225701000000;330;
+mean: 332.10526315789474 sum: 3155.0
 