Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml	(revision 1179)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll_Intel.xml	(revision 1219)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
 	
 	<timeEstimationPlugin>
@@ -9,7 +9,4 @@
 	<resources>
 		<computingResource class="DataCenter" name="COOLEMALL_TESTBED">
-			<resourceUnit class="storage">
-				<amount>4800000</amount>
-			</resourceUnit>
 			<profile>
 				<powerProfile>
@@ -20,9 +17,9 @@
 				<thermalProfile></thermalProfile>
 			</profile>
+			<resourceUnit class="storage">
+				<amount>4800000</amount>
+			</resourceUnit>
 			<computingResource class="RECS" name="Recs1">
 				<computingResource class="ComputingNode" type="Intel_i7" count="18" name="IntelI7">
-					<resourceUnit class="memory">
-						<amount>16384</amount>
-					</resourceUnit>
 					<parameter name="category">
 						<value>Intel_i7</value>
@@ -44,20 +41,32 @@
 							</powerStates>				
 						</powerProfile>
-						<airThroughputProfile>
-							<airThroughputStates>
-								<airThroughputState>
-									<name>FAN_ON</name>
-									<value>673</value>
-									<powerUsage>7</powerUsage>
-								</airThroughputState>
-								<airThroughputState>
-									<name>FAN_OFF</name>
-									<value>0</value>
-									<powerUsage>0</powerUsage>
-								</airThroughputState>
-							</airThroughputStates>
-						</airThroughputProfile>
-						<thermalProfile></thermalProfile>
 					</profile>
+					<device class="Fan">
+						<profile>
+							<powerProfile>
+								<energyEstimationPlugin>
+									<name>test.article2.recs.plugins.energy.FanEnergyEstimationPlugin</name>
+								</energyEstimationPlugin>				
+							</powerProfile>
+							<airThroughputProfile>
+								<airThroughputStates>
+									<airThroughputState>
+										<name>FAN_ON</name>
+										<value>673</value>
+										<powerUsage>7</powerUsage>
+									</airThroughputState>
+									<airThroughputState>
+										<name>FAN_OFF</name>
+										<value>0</value>
+										<powerUsage>0</powerUsage>
+									</airThroughputState>
+								</airThroughputStates>
+							</airThroughputProfile>
+							<thermalProfile></thermalProfile>
+						</profile>
+					</device>
+					<resourceUnit class="memory">
+						<amount>16384</amount>
+					</resourceUnit>
 					<computingResource class="Processor" count="1">
 						<profile>
@@ -212,18 +221,4 @@
 								</parameter>			
 							</powerProfile>
-								<airThroughputProfile>
-							<airThroughputStates>
-								<airThroughputState>
-									<name>FAN_ON</name>
-									<value>673</value>
-									<powerUsage>7</powerUsage>
-								</airThroughputState>
-								<airThroughputState>
-									<name>FAN_OFF</name>
-									<value>0</value>
-									<powerUsage>0</powerUsage>
-								</airThroughputState>
-							</airThroughputStates>
-						</airThroughputProfile>
 						</profile>
 						<computingResource class="Core" count="8"/>
Index: DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml	(revision 1182)
+++ DCWoRMS/branches/coolemall/src/test/article2/recs/resourcesCoolEmAll.xml	(revision 1219)
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <environment xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
-	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCWormsResSchema.xsd">
+	xsi:noNamespaceSchemaLocation="../../../../simulator/schemas/resources/DCwormsResSchemaNew.xsd">
 	
 	<timeEstimationPlugin>
@@ -9,7 +9,4 @@
 	<resources>
 		<computingResource class="DataCenter" name="COOLEMALL_TESTBED">
-			<resourceUnit class="storage">
-				<amount>4800000</amount>
-			</resourceUnit>
 			<profile>
 				<powerProfile>
@@ -19,9 +16,8 @@
 				</powerProfile>	
 			</profile>
-				
+			<resourceUnit class="storage">
+				<amount>4800000</amount>
+			</resourceUnit>
 			<computingResource class="ComputingNode" type="Intel_i7" count="8" name="IntelI7">
-				<resourceUnit class="memory">
-					<amount>16384</amount>
-				</resourceUnit>
 				<parameter name="category">
 					<value>Intel_i7</value>
@@ -43,19 +39,32 @@
 						</powerStates>				
 					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
 				</profile>
+				<device class="Fan">
+					<profile>
+						<powerProfile>
+							<energyEstimationPlugin>
+								<name>test.article2.recs.plugins.energy.FanEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>				
+						</powerProfile>
+						<airThroughputProfile>
+							<airThroughputStates>
+								<airThroughputState>
+									<name>FAN_ON</name>
+									<value>673</value>
+									<powerUsage>7</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>FAN_OFF</name>
+									<value>0</value>
+									<powerUsage>0</powerUsage>
+								</airThroughputState>
+							</airThroughputStates>
+						</airThroughputProfile>
+						<thermalProfile></thermalProfile>
+					</profile>
+				</device>
+				<resourceUnit class="memory">
+					<amount>16384</amount>
+				</resourceUnit>
 				<computingResource class="Processor" count="1">
 					<profile>
@@ -224,7 +233,4 @@
 			
 			<computingResource class="ComputingNode" type="AMD_Fusion" count="6" name="AMDFusion">
-				<resourceUnit class="memory">
-					<amount>4096</amount>
-				</resourceUnit>
 				<parameter name="category">
 					<value>AMD_Fusion</value>
@@ -246,23 +252,35 @@
 						</powerStates>				
 					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
 				</profile>
+				<device class="Fan">
+					<profile>
+						<powerProfile>
+							<energyEstimationPlugin>
+								<name>test.article2.recs.plugins.energy.FanEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>				
+						</powerProfile>
+						<airThroughputProfile>
+							<airThroughputStates>
+								<airThroughputState>
+									<name>FAN_ON</name>
+									<value>673</value>
+									<powerUsage>7</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>FAN_OFF</name>
+									<value>0</value>
+									<powerUsage>0</powerUsage>
+								</airThroughputState>
+							</airThroughputStates>
+						</airThroughputProfile>
+						<thermalProfile></thermalProfile>
+					</profile>
+				</device>
+				<resourceUnit class="memory">
+					<amount>4096</amount>
+				</resourceUnit>				
 				<computingResource class="Processor" count="1">
 					<profile>
 						<powerProfile>
-	
 							<parameter name="pState">
 									<property name="name">
@@ -296,7 +314,4 @@
 
 			<computingResource class="ComputingNode" type="Atom_D510" count="4" name="AtomD510">
-				<resourceUnit class="memory">
-					<amount>2048</amount>
-				</resourceUnit>
 				<parameter name="category">
 					<value>Atom_D510</value>
@@ -318,20 +333,32 @@
 						</powerStates>				
 					</powerProfile>
-					<airThroughputProfile>
-						<airThroughputStates>
-							<airThroughputState>
-								<name>FAN_ON</name>
-								<value>1000</value>
-								<powerUsage>30</powerUsage>
-							</airThroughputState>
-							<airThroughputState>
-								<name>FAN_OFF</name>
-								<value>0</value>
-								<powerUsage>10</powerUsage>
-							</airThroughputState>
-						</airThroughputStates>
-					</airThroughputProfile>
 				</profile>
-				
+				<device class="Fan">
+					<profile>
+						<powerProfile>
+							<energyEstimationPlugin>
+								<name>test.article2.recs.plugins.energy.FanEnergyEstimationPlugin</name>
+							</energyEstimationPlugin>				
+						</powerProfile>
+						<airThroughputProfile>
+							<airThroughputStates>
+								<airThroughputState>
+									<name>FAN_ON</name>
+									<value>673</value>
+									<powerUsage>7</powerUsage>
+								</airThroughputState>
+								<airThroughputState>
+									<name>FAN_OFF</name>
+									<value>0</value>
+									<powerUsage>0</powerUsage>
+								</airThroughputState>
+							</airThroughputStates>
+						</airThroughputProfile>
+						<thermalProfile></thermalProfile>
+					</profile>
+				</device>	
+				<resourceUnit class="memory">
+					<amount>2048</amount>
+				</resourceUnit>			
 				<computingResource class="Processor" count="1">
 					<profile>