Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Simulation.txt	(revision 1223)
@@ -0,0 +1,14 @@
+Resource name;mean;stdev;variance;minimum;maximum;sum;count;
+Delayed tasks;0;0;0;0;0;0;1;
+Failed requests (tasks);0;0;0;0;0;0;1;
+Makespan;64,800;0;0;64,800;64,800;64,800;1;
+Resources queue length;1.667;0;0;1.667;1.667;1.667;1;
+Resources total load;0.815;0;0;0.815;0.815;0.815;1;
+Energy usage;0;0;0;0;0;0;1;
+Task completion time;31,680;16,870.139;284,601,600;10,800;64,800;316,800;10;
+Task execution time;14,400;3,600;12,960,000;10,800;18,000;144,000;10;
+Task start time;14,760;12,308.631;151,502,400;0;36,000;147,600;10;
+Task flow time;29,160;13,320;177,422,400;10,800;54,000;291,600;10;
+Task waiting time;14,760;12,308.631;151,502,400;0;36,000;147,600;10;
+Task lateness;0;0;0;0;0;0;10;
+Task tardiness;0;0;0;0;0;0;10;
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Tasks.txt	(revision 1223)
@@ -0,0 +1,11 @@
+JobID;TaskID;UserDN;SchedName;CpuCnt;ExecStartDate;ExecFinishDate;ExecEndDate;GB_SubDate;LB_SubDate;CompletionTime;ExecStartTime;ExecutionTime;ReadyTime;StartTime;FlowTime;WaitingTime;GQ_WaitingTime;Lateness;Tardiness;ReservStartDate;ReservFinishDate;ProcessorName;Energy;
+1;1;-1;cluster;2;1225666800;1225684800;1225684800;1225666800;1225666800;18000;0;18000;0;0;18000;0;0;0;0;0;0;[Processor_0, Processor_1];
+2;2;-1;cluster;2;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_2, Processor_3];
+3;3;-1;cluster;4;1225702800;1225720800;1225720800;1225666800;1225666800;54000;36000;18000;0;36000;54000;36000;0;0;0;0;0;[Processor_0, Processor_1, Processor_2, Processor_3];
+4;4;-1;cluster;2;1225666800;1225677600;1225677600;1225666800;1225666800;10800;0;10800;0;0;10800;0;0;0;0;0;0;[Processor_4, Processor_5];
+5;5;-1;cluster;2;1225677600;1225695600;1225695600;1225666800;1225666800;28800;10800;18000;0;10800;28800;10800;0;0;0;0;0;[Processor_2, Processor_3];
+6;6;-1;cluster;2;1225677600;1225688400;1225688400;1225666800;1225666800;21600;10800;10800;0;10800;21600;10800;0;0;0;0;0;[Processor_4, Processor_5];
+7;7;-1;cluster;2;1225684800;1225702800;1225702800;1225666800;1225666800;36000;18000;18000;0;18000;36000;18000;0;0;0;0;0;[Processor_0, Processor_1];
+8;8;-1;cluster;1;1225688400;1225699200;1225699200;1225666800;1225666800;32400;21600;10800;0;21600;32400;21600;0;0;0;0;0;[Processor_4];
+9;9;-1;cluster;1;1225688400;1225706400;1225706400;1225670400;1225670400;39600;21600;18000;3600;18000;36000;18000;0;0;0;0;0;[Processor_5];
+10;10;-1;cluster;4;1225720800;1225731600;1225731600;1225688400;1225688400;64800;54000;10800;21600;32400;43200;32400;0;0;0;0;0;[Processor_0, Processor_1, Processor_2, Processor_3];
Index: DCWoRMS/branches/coolemall/example/experiment8_result/experiment.properties
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/experiment.properties	(revision 883)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/experiment.properties	(revision 1223)
@@ -6,6 +6,5 @@
 # and swf file, which name is declared by readscenario.workloadfilename parameter.
 # Swf file must be placed in readscenario.inputfolder directory.  
-readscenario.inputfolder=example/experiment8/workload
-readscenario.workloadfilename=workload.swf
+readscenario.workloadfilename=example/experiment8/workload/workload.swf
 
 # Choose directory where all result files should be placed.
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_Jobs.txt	(revision 1223)
@@ -0,0 +1,11 @@
+jobID;meanTaskCompletionTime;meanTaskExecutionTime;meanTaskStartTime;meanTaskFlowTime;meanTaskWaitingTime;meanTaskGQ_WaitingTime;lateness;tardiness;makespan;
+1;18,000;18,000;0;18,000;0;0;0;0;18,000;
+2;10,800;10,800;0;10,800;0;0;0;0;10,800;
+3;54,000;18,000;36,000;54,000;36,000;0;0;0;54,000;
+4;10,800;10,800;0;10,800;0;0;0;0;10,800;
+5;28,800;18,000;10,800;28,800;10,800;0;0;0;28,800;
+6;21,600;10,800;10,800;21,600;10,800;0;0;0;21,600;
+7;36,000;18,000;18,000;36,000;18,000;0;0;0;36,000;
+8;32,400;10,800;21,600;32,400;21,600;0;0;0;32,400;
+9;39,600;18,000;18,000;36,000;18,000;0;0;0;39,600;
+10;64,800;10,800;32,400;43,200;32,400;0;0;0;64,800;
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_EnergyUsage.txt	(revision 1223)
@@ -0,0 +1,14 @@
+powerConsumption;compRes;1225666800000;0;
+powerConsumption;compRes;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_0;1225666800000;0;
+powerConsumption;compRes/Processor_0;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_1;1225666800000;0;
+powerConsumption;compRes/Processor_1;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_2;1225666800000;0;
+powerConsumption;compRes/Processor_2;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_3;1225666800000;0;
+powerConsumption;compRes/Processor_3;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_4;1225666800000;0;
+powerConsumption;compRes/Processor_4;1225731600000;0;mean: 0.0 sum: 0.0
+powerConsumption;compRes/Processor_5;1225666800000;0;
+powerConsumption;compRes/Processor_5;1225731600000;0;mean: 0.0 sum: 0.0
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1223)
+++ DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation_1_ResourceUtilization.txt	(revision 1223)
@@ -0,0 +1,40 @@
+utlization;compRes;1225666800000;1;
+utlization;compRes;1225677600000;1;
+utlization;compRes;1225684800000;1;
+utlization;compRes;1225688400000;1;
+utlization;compRes;1225695600000;0.667;
+utlization;compRes;1225699200000;0.5;
+utlization;compRes;1225702800000;0.833;
+utlization;compRes;1225706400000;0.667;
+utlization;compRes;1225720800000;0.667;
+utlization;compRes;1225731600000;0;mean: 0.8148148148148149
+utlization;compRes/Processor_0;1225666800000;1;
+utlization;compRes/Processor_0;1225684800000;1;
+utlization;compRes/Processor_0;1225702800000;1;
+utlization;compRes/Processor_0;1225720800000;1;
+utlization;compRes/Processor_0;1225731600000;0;mean: 1.0
+utlization;compRes/Processor_1;1225666800000;1;
+utlization;compRes/Processor_1;1225684800000;1;
+utlization;compRes/Processor_1;1225702800000;1;
+utlization;compRes/Processor_1;1225720800000;1;
+utlization;compRes/Processor_1;1225731600000;0;mean: 1.0
+utlization;compRes/Processor_2;1225666800000;1;
+utlization;compRes/Processor_2;1225677600000;1;
+utlization;compRes/Processor_2;1225695600000;0;
+utlization;compRes/Processor_2;1225702800000;1;
+utlization;compRes/Processor_2;1225720800000;1;
+utlization;compRes/Processor_2;1225731600000;0;mean: 0.8888888888888888
+utlization;compRes/Processor_3;1225666800000;1;
+utlization;compRes/Processor_3;1225677600000;1;
+utlization;compRes/Processor_3;1225695600000;0;
+utlization;compRes/Processor_3;1225702800000;1;
+utlization;compRes/Processor_3;1225720800000;1;
+utlization;compRes/Processor_3;1225731600000;0;mean: 0.8888888888888888
+utlization;compRes/Processor_4;1225666800000;1;
+utlization;compRes/Processor_4;1225677600000;1;
+utlization;compRes/Processor_4;1225688400000;1;
+utlization;compRes/Processor_4;1225699200000;0;mean: 0.5
+utlization;compRes/Processor_5;1225666800000;1;
+utlization;compRes/Processor_5;1225677600000;1;
+utlization;compRes/Processor_5;1225688400000;1;
+utlization;compRes/Processor_5;1225706400000;0;mean: 0.6111111111111112
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_Temperature.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_Temperature.txt	(revision 883)
+++ 	(revision )
@@ -1,8 +1,0 @@
-resourceName;timestamp;temperature;
-
-
-
-
-
-
-
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_EnergyUsage.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_EnergyUsage.txt	(revision 883)
+++ 	(revision )
@@ -1,37 +1,0 @@
-resourceName;timestamp;consumption;
-compRes;1225666800000;0;
-compRes;1225717200000;0;
-mean: 0.0 sum: 0.0
-
-Processor_0;1225666800000;60;
-Processor_0;1225710000000;10;
-Processor_0;1225717200000;10;
-mean: 52.85714285714286 sum: 740.0
-
-Processor_1;1225666800000;60;
-Processor_1;1225688400000;10;
-Processor_1;1225695600000;60;
-Processor_1;1225717200000;10;
-mean: 52.85714285714286 sum: 740.0
-
-Processor_2;1225666800000;60;
-Processor_2;1225684800000;10;
-Processor_2;1225688400000;60;
-Processor_2;1225717200000;10;
-mean: 56.42857142857143 sum: 790.0
-
-Processor_3;1225666800000;60;
-Processor_3;1225684800000;10;
-Processor_3;1225688400000;60;
-Processor_3;1225717200000;10;
-mean: 56.42857142857143 sum: 790.0
-
-Processor_4;1225666800000;60;
-Processor_4;1225717200000;10;
-mean: 60.0 sum: 840.0
-
-Processor_5;1225666800000;60;
-Processor_5;1225695600000;10;
-Processor_5;1225717200000;10;
-mean: 38.57142857142857 sum: 540.0
-
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_ResourceUtilization.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_ResourceUtilization.txt	(revision 883)
+++ 	(revision )
@@ -1,54 +1,0 @@
-resourceName;timestamp;utilization;
-compRes;1225666800000;1;
-compRes;1225674000000;1;
-compRes;1225681200000;1;
-compRes;1225684800000;0.667;
-compRes;1225688400000;0.833;
-compRes;1225695600000;0.833;
-compRes;1225710000000;0.667;
-compRes;1225717200000;0;
-mean: 0.8571428571428571
-
-Processor_0;1225666800000;1;
-Processor_0;1225674000000;1;
-Processor_0;1225681200000;1;
-Processor_0;1225710000000;0;
-mean: 0.8571428571428571
-
-Processor_1;1225666800000;1;
-Processor_1;1225674000000;1;
-Processor_1;1225681200000;1;
-Processor_1;1225688400000;0;
-Processor_1;1225695600000;1;
-Processor_1;1225717200000;0;
-mean: 0.8571428571428571
-
-Processor_2;1225666800000;1;
-Processor_2;1225674000000;1;
-Processor_2;1225684800000;0;
-Processor_2;1225688400000;1;
-Processor_2;1225695600000;1;
-Processor_2;1225717200000;0;
-mean: 0.9285714285714285
-
-Processor_3;1225666800000;1;
-Processor_3;1225674000000;1;
-Processor_3;1225684800000;0;
-Processor_3;1225688400000;1;
-Processor_3;1225695600000;1;
-Processor_3;1225717200000;0;
-mean: 0.9285714285714285
-
-Processor_4;1225666800000;1;
-Processor_4;1225674000000;1;
-Processor_4;1225688400000;1;
-Processor_4;1225695600000;1;
-Processor_4;1225717200000;0;
-mean: 1.0
-
-Processor_5;1225666800000;1;
-Processor_5;1225674000000;1;
-Processor_5;1225688400000;1;
-Processor_5;1225695600000;0;
-mean: 0.5714285714285714
-
Index: DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_AirThroughput.txt
===================================================================
--- DCWoRMS/branches/coolemall/example/experiment8_result/Stats_Simulation 1_AirThroughput.txt	(revision 883)
+++ 	(revision )
@@ -1,8 +1,0 @@
-resourceName;timestamp;airFlow;
-
-
-
-
-
-
-