Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_08.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_08.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_08.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="8">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_09.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_09.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_09.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="9">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_00.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_00.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_00.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="0">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_02.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_02.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_02.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="2">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_05.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_05.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_05.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="5">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_06.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_06.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_06.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="6">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_07.xml
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_07.xml	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/QcgJob_07.xml	(revision 1236)
@@ -1,13 +1,13 @@
 <job id="7">
-<task id="0">
-<requirements>
-<resourceRequirements>
-<computingResource>
-<hostParameter name="cpucount">
-<value>1.0</value>
-</hostParameter>
-</computingResource>
-</resourceRequirements>
-</requirements>
-</task>
+   <task id="0">
+      <requirements>
+         <resourceRequirements>
+            <computingResource>
+               <hostParameter name="cpucount">
+                  <value>1.0</value>
+               </hostParameter>
+            </computingResource>
+         </resourceRequirements>
+      </requirements>
+   </task>
 </job>