Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf	(revision 1239)
@@ -1,3 +1,3 @@
-;Automatically generated workload description by the Data Center Workload Simulator
+;Automatically generated workload description by the Data Center Workload and Resource Management Simulator
 ;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
 ;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
@@ -12,14 +12,14 @@
 ;PUSpeed: 1
 ;StartTime: Thu Jan 15 10:00:00 CET 2009
-		0		727		-1		7936		1		-1		-1		1		7936		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		1		1488		-1		7307		1		-1		-1		1		7307		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		2		2245		-1		7478		1		-1		-1		1		7478		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		3		3038		-1		8452		1		-1		-1		1		8452		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		4		3842		-1		7807		1		-1		-1		1		7807		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		5		4601		-1		7882		1		-1		-1		1		7882		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		6		5366		-1		8464		1		-1		-1		1		8464		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		7		6168		-1		7292		1		-1		-1		1		7292		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		8		6947		-1		8262		1		-1		-1		1		8262		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		9		7722		-1		7284		1		-1		-1		1		7284		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		0		727		-1		8308		1		-1		-1		1		8308		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		1		1488		-1		7601		1		-1		-1		1		7601		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		2		2245		-1		6371		1		-1		-1		1		6371		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		3		3038		-1		7388		1		-1		-1		1		7388		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		4		3842		-1		5554		1		-1		-1		1		5554		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		5		4601		-1		6999		1		-1		-1		1		6999		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		6		5366		-1		7323		1		-1		-1		1		7323		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		7		6168		-1		8679		1		-1		-1		1		8679		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		8		6947		-1		6854		1		-1		-1		1		6854		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		9		7722		-1		8411		1		-1		-1		1		8411		-1		-1		-1		-1		-1		-1		-1		-1		-1
 ;IDMapping: swfID:jobID:taskID
 ; 0:0:0, 1:1:0, 2:2:0, 3:3:0, 4:4:0, 5:5:0, 6:6:0, 7:7:0, 8:8:0, 9:9:0, 
Index: DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf_original.swf
===================================================================
--- DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf_original.swf	(revision 1201)
+++ DCWoRMS/branches/coolemall/src/test/article2/workloadgen/workload/workload.swf_original.swf	(revision 1239)
@@ -1,3 +1,3 @@
-;Automatically generated workload description by the Data Center Workload Simulator
+;Automatically generated workload description by the Data Center Workload and Resource Management Simulator
 ;		j|		s|		w|		r|		c|		c|		m|		p|		t|		m|		s|		u|		g|		e|		q|		p|		p|		t|
 ;		o|		u|		a|		u|		p|		p|		e|		r|		i|		e|		t|		i|		i|		x|		u|		a|		r|		h|
@@ -11,14 +11,14 @@
 ;		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		 |		e|		 |		 |		 |		e|
 ;StartTime: Thu Jan 15 10:00:00 CET 2009
-		0		727		-1		7936		1		-1		-1		1		7936		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		1		1488		-1		7307		1		-1		-1		1		7307		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		2		2245		-1		7478		1		-1		-1		1		7478		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		3		3038		-1		8452		1		-1		-1		1		8452		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		4		3842		-1		7807		1		-1		-1		1		7807		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		5		4601		-1		7882		1		-1		-1		1		7882		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		6		5366		-1		8464		1		-1		-1		1		8464		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		7		6168		-1		7292		1		-1		-1		1		7292		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		8		6947		-1		8262		1		-1		-1		1		8262		-1		-1		-1		-1		-1		-1		-1		-1		-1
-		9		7722		-1		7284		1		-1		-1		1		7284		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		0		727		-1		8308		1		-1		-1		1		8308		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		1		1488		-1		7601		1		-1		-1		1		7601		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		2		2245		-1		6371		1		-1		-1		1		6371		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		3		3038		-1		7388		1		-1		-1		1		7388		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		4		3842		-1		5554		1		-1		-1		1		5554		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		5		4601		-1		6999		1		-1		-1		1		6999		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		6		5366		-1		7323		1		-1		-1		1		7323		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		7		6168		-1		8679		1		-1		-1		1		8679		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		8		6947		-1		6854		1		-1		-1		1		6854		-1		-1		-1		-1		-1		-1		-1		-1		-1
+		9		7722		-1		8411		1		-1		-1		1		8411		-1		-1		-1		-1		-1		-1		-1		-1		-1
 ;IDMapping: swfID:jobID:taskID
 ; 0:0:0, 1:1:0, 2:2:0, 3:3:0, 4:4:0, 5:5:0, 6:6:0, 7:7:0, 8:8:0, 9:9:0, 