Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/utils/appprofiles/ApplicationProfileBase.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/utils/appprofiles/ApplicationProfileBase.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/utils/appprofiles/ApplicationProfileBase.java	(revision 1243)
@@ -4,5 +4,4 @@
 import java.sql.SQLException;
 import java.util.ArrayList;
-import java.util.Arrays;
 import java.util.HashMap;
 import java.util.List;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/scheduling/RecsExclusivenessEnOptDFSSP.java	(revision 1243)
@@ -257,18 +257,18 @@
 			}
 			if(freeCores == cpu.getCores().size()){
-				if(cpu.getComputingNode().getCategory().compareTo("Intel_i7") == 0){
+				if(cpu.getNode().getCategory().compareTo("Intel_i7") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P13").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("AMD_Fusion") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("AMD_Fusion") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P1").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("Atom_D510") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("Atom_D510") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P7").getName());	
 				} 
 			}
 			else {
-				if(cpu.getComputingNode().getCategory().compareTo("Intel_i7") == 0){
+				if(cpu.getNode().getCategory().compareTo("Intel_i7") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P13").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("AMD_Fusion") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("AMD_Fusion") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P1").getName());	
-				} else if(cpu.getComputingNode().getCategory().compareTo("Atom_D510") == 0){
+				} else if(cpu.getNode().getCategory().compareTo("Atom_D510") == 0){
 					rppi.setPState(rppi.getSupportedPStates().get("P7").getName());	
 				} 	
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomD510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomD510NodeEEP.java	(revision 1243)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/IntelNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/IntelNodeEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/IntelNodeEEP.java	(revision 1243)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 
@@ -13,5 +13,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCpuEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCpuEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCpuEEP.java	(revision 1243)
@@ -1,7 +1,7 @@
 package test.drs_tst.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -10,5 +10,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		
 		double powerConsumption = 0;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCoreEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCoreEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/RecsCoreEEP.java	(revision 1243)
@@ -1,6 +1,6 @@
 package test.drs_tst.recs.plugins.energy;
 
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import example.energy.BaseEnergyEstimationPlugin;
@@ -9,5 +9,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		return powerConsumption;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomZ510NodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AtomZ510NodeEEP.java	(revision 1243)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import test.drs_tst.recs.utils.appprofiles.ApplicationProfileBase;
@@ -15,5 +15,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		ComputingNode node = (ComputingNode) resource;
Index: DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AmdNodeEEP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AmdNodeEEP.java	(revision 1120)
+++ DCWoRMS/branches/coolemall/src/test/drs_tst/recs/plugins/energy/AmdNodeEEP.java	(revision 1243)
@@ -5,7 +5,7 @@
 
 import schedframe.resources.computing.ComputingNode;
-import schedframe.resources.computing.ComputingResource;
 import schedframe.resources.computing.Processor;
 import schedframe.resources.computing.profiles.energy.EnergyEvent;
+import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import test.drs_tst.recs.utils.appprofiles.ApplicationProfileBase;
@@ -15,5 +15,5 @@
 
 	public double estimatePowerConsumption(EnergyEvent event, JobRegistry jobRegistry,
-			ComputingResource resource) {
+			PhysicalResource resource) {
 		double powerConsumption = 0;
 		