Index: DCWoRMS/branches/coolemall/example/testbed_hpc/Node_Fan_Mapping.java
===================================================================
--- DCWoRMS/branches/coolemall/example/testbed_hpc/Node_Fan_Mapping.java	(revision 1224)
+++ 	(revision )
@@ -1,133 +1,0 @@
-package testbed_hpc;
-
-import com.google.common.collect.BiMap;
-import com.google.common.collect.HashBiMap;
-
-public class Node_Fan_Mapping {
-
-	private static BiMap<String, String> node_fan;
-	
-	public static void init(){
-		node_fan = HashBiMap.create(18);
-		
-		node_fan.put("room1/rack1/recs1/i7_0_01", "room1/rack1/recs1/Outlet_1");
-		node_fan.put("room1/rack1/recs1/i7_0_02", "room1/rack1/recs1/Outlet_2");
-		node_fan.put("room1/rack1/recs1/i7_0_03", "room1/rack1/recs1/Outlet_3");
-		node_fan.put("room1/rack1/recs1/i7_0_04", "room1/rack1/recs1/Outlet_4");
-		node_fan.put("room1/rack1/recs1/i7_0_05", "room1/rack1/recs1/Outlet_5");
-		node_fan.put("room1/rack1/recs1/i7_0_06", "room1/rack1/recs1/Outlet_6");
-		node_fan.put("room1/rack1/recs1/i7_0_07", "room1/rack1/recs1/Outlet_7");
-		node_fan.put("room1/rack1/recs1/i7_0_08", "room1/rack1/recs1/Outlet_8");
-		node_fan.put("room1/rack1/recs1/i7_0_09", "room1/rack1/recs1/Outlet_9");
-		node_fan.put("room1/rack1/recs1/i7_0_10", "room1/rack1/recs1/Inlet_1");
-		node_fan.put("room1/rack1/recs1/i7_0_11", "room1/rack1/recs1/Inlet_2");
-		node_fan.put("room1/rack1/recs1/i7_0_12", "room1/rack1/recs1/Inlet_3");
-		node_fan.put("room1/rack1/recs1/i7_0_13", "room1/rack1/recs1/Inlet_4");
-		node_fan.put("room1/rack1/recs1/i7_0_14", "room1/rack1/recs1/Inlet_5");
-		node_fan.put("room1/rack1/recs1/i7_0_15", "room1/rack1/recs1/Inlet_6");
-		node_fan.put("room1/rack1/recs1/i7_0_16", "room1/rack1/recs1/Inlet_7");
-		node_fan.put("room1/rack1/recs1/i7_0_17", "room1/rack1/recs1/Inlet_8");
-		node_fan.put("room1/rack1/recs1/i7_0_18", "room1/rack1/recs1/Inlet_9");
-		
-		node_fan.put("room1/rack1/recs2/atom64_0_01", "room1/rack1/recs2/Outlet_1");
-		node_fan.put("room1/rack1/recs2/atom64_0_02", "room1/rack1/recs2/Outlet_2");
-		node_fan.put("room1/rack1/recs2/atom64_0_03", "room1/rack1/recs2/Outlet_3");
-		node_fan.put("room1/rack1/recs2/atom64_0_04", "room1/rack1/recs2/Outlet_4");
-		node_fan.put("room1/rack1/recs2/atom64_0_05", "room1/rack1/recs2/Outlet_5");
-		node_fan.put("room1/rack1/recs2/atom64_0_06", "room1/rack1/recs2/Outlet_6");
-		node_fan.put("room1/rack1/recs2/atom64_0_07", "room1/rack1/recs2/Outlet_7");
-		node_fan.put("room1/rack1/recs2/atom64_0_08", "room1/rack1/recs2/Outlet_8");
-		node_fan.put("room1/rack1/recs2/atom64_0_09", "room1/rack1/recs2/Outlet_9");
-		node_fan.put("room1/rack1/recs2/atom64_0_10", "room1/rack1/recs2/Inlet_1");
-		node_fan.put("room1/rack1/recs2/atom64_0_11", "room1/rack1/recs2/Inlet_2");
-		node_fan.put("room1/rack1/recs2/atom64_0_12", "room1/rack1/recs2/Inlet_3");
-		node_fan.put("room1/rack1/recs2/atom64_0_13", "room1/rack1/recs2/Inlet_4");
-		node_fan.put("room1/rack1/recs2/atom64_0_14", "room1/rack1/recs2/Inlet_5");
-		node_fan.put("room1/rack1/recs2/atom64_0_15", "room1/rack1/recs2/Inlet_6");
-		node_fan.put("room1/rack1/recs2/atom64_0_16", "room1/rack1/recs2/Inlet_7");
-		node_fan.put("room1/rack1/recs2/atom64_0_17", "room1/rack1/recs2/Inlet_8");
-		node_fan.put("room1/rack1/recs2/atom64_0_18", "room1/rack1/recs2/Inlet_9");
-		
-		node_fan.put("room1/rack1/recs3/amdf_0_01", "room1/rack1/recs3/Outlet_1");
-		node_fan.put("room1/rack1/recs3/amdf_0_02", "room1/rack1/recs3/Outlet_2");
-		node_fan.put("room1/rack1/recs3/amdf_0_03", "room1/rack1/recs3/Outlet_3");
-		node_fan.put("room1/rack1/recs3/amdf_0_04", "room1/rack1/recs3/Outlet_4");
-		node_fan.put("room1/rack1/recs3/amdf_0_05", "room1/rack1/recs3/Outlet_5");
-		node_fan.put("room1/rack1/recs3/amdf_0_06", "room1/rack1/recs3/Outlet_6");
-		node_fan.put("room1/rack1/recs3/amdf_0_07", "room1/rack1/recs3/Outlet_7");
-		node_fan.put("room1/rack1/recs3/amdf_0_08", "room1/rack1/recs3/Outlet_8");
-		node_fan.put("room1/rack1/recs3/amdf_0_09", "room1/rack1/recs3/Outlet_9");
-		node_fan.put("room1/rack1/recs3/amdf_0_10", "room1/rack1/recs3/Inlet_1");
-		node_fan.put("room1/rack1/recs3/amdf_0_11", "room1/rack1/recs3/Inlet_2");
-		node_fan.put("room1/rack1/recs3/amdf_0_12", "room1/rack1/recs3/Inlet_3");
-		node_fan.put("room1/rack1/recs3/amdf_0_13", "room1/rack1/recs3/Inlet_4");
-		node_fan.put("room1/rack1/recs3/amdf_0_14", "room1/rack1/recs3/Inlet_5");
-		node_fan.put("room1/rack1/recs3/amdf_0_15", "room1/rack1/recs3/Inlet_6");
-		node_fan.put("room1/rack1/recs3/amdf_0_16", "room1/rack1/recs3/Inlet_7");
-		node_fan.put("room1/rack1/recs3/amdf_0_17", "room1/rack1/recs3/Inlet_8");
-		node_fan.put("room1/rack1/recs3/amdf_0_18", "room1/rack1/recs3/Inlet_9");
-		
-		
-		/*node_fan.put("DefNode07_1", "Outlet_1");
-		node_fan.put("DefNode06_1", "Outlet_2");
-		node_fan.put("DefNode06_2", "Outlet_3");
-		node_fan.put("DefNode06_3", "Outlet_4");
-		node_fan.put("DefNode06_4", "Outlet_5");
-		node_fan.put("DefNode07_2", "Outlet_6");
-		node_fan.put("DefNode07_3", "Outlet_7");
-		node_fan.put("DefNode06_5", "Outlet_8");
-		node_fan.put("DefNode06_6", "Outlet_9");
-		node_fan.put("DefNode06_7", "Inlet_1");
-		node_fan.put("DefNode06_8", "Inlet_2");
-		node_fan.put("DefNode06_9", "Inlet_3");
-		node_fan.put("DefNode06_10", "Inlet_4");
-		node_fan.put("DefNode06_11", "Inlet_5");
-		node_fan.put("DefNode06_12", "Inlet_6");
-		node_fan.put("DefNode06_13", "Inlet_7");
-		node_fan.put("DefNode06_14", "Inlet_8");
-		node_fan.put("DefNode07_4", "Inlet_9");
-		
-		node_fan.put("DefNode02_1", "Outlet_1");
-		node_fan.put("DefNode02_2", "Outlet_2");
-		node_fan.put("DefNode02_3", "Outlet_3");
-		node_fan.put("DefNode02_4", "Outlet_4");
-		node_fan.put("DefNode02_5", "Outlet_5");
-		node_fan.put("DefNode02_6", "Outlet_6");
-		node_fan.put("DefNode02_7", "Outlet_7");
-		node_fan.put("DefNode02_8", "Outlet_8");
-		node_fan.put("DefNode02_9", "Outlet_9");
-		node_fan.put("DefNode02_10", "Inlet_1");
-		node_fan.put("DefNode02_11", "Inlet_2");
-		node_fan.put("DefNode02_12", "Inlet_3");
-		node_fan.put("DefNode02_13", "Inlet_4");
-		node_fan.put("DefNode02_14", "Inlet_5");
-		node_fan.put("DefNode02_15", "Inlet_6");
-		node_fan.put("DefNode02_16", "Inlet_7");
-		node_fan.put("DefNode02_17", "Inlet_8");
-		node_fan.put("DefNode02_18", "Inlet_9");
-		
-		node_fan.put("DefNode14_1", "Outlet_1");
-		node_fan.put("DefNode05_1", "Outlet_2");
-		node_fan.put("DefNode05_2", "Outlet_3");
-		node_fan.put("DefNode05_3", "Outlet_4");
-		node_fan.put("DefNode05_4", "Outlet_5");
-		node_fan.put("DefNode14_2", "Outlet_6");
-		node_fan.put("DefNode14_3", "Outlet_7");
-		node_fan.put("DefNode05_5", "Outlet_8");
-		node_fan.put("DefNode05_6", "Outlet_9");
-		node_fan.put("DefNode05_7", "Inlet_1");
-		node_fan.put("DefNode05_8", "Inlet_2");
-		node_fan.put("DefNode05_9", "Inlet_3");
-		node_fan.put("DefNode05_10", "Inlet_4");
-		node_fan.put("DefNode05_11", "Inlet_5");
-		node_fan.put("DefNode05_12", "Inlet_6");
-		node_fan.put("DefNode05_13", "Inlet_7");
-		node_fan.put("DefNode05_4", "Inlet_8");
-		node_fan.put("DefNode14_4", "Inlet_9");*/
-	}
-
-	public static BiMap<String, String> getNode_fan() {
-		return node_fan;
-	}
-	
-}