Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/NodeEnergyEstimationPlugin.java	(revision 1253)
@@ -8,5 +8,5 @@
 import schedframe.resources.devices.PhysicalResource;
 import schedframe.scheduling.manager.tasks.JobRegistry;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.energy.BaseEnergyEstimationPlugin;
 
Index: DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/energy/coolemall/CB2EnergyEstimationPlugin.java	(revision 1253)
@@ -14,5 +14,5 @@
 import schedframe.scheduling.manager.tasks.JobRegistry;
 import simulator.ConfigurationOptions;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.energy.BaseEnergyEstimationPlugin;
 
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_SP.java	(revision 1253)
@@ -29,5 +29,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Consolidation_NodePowMan_SP.java	(revision 1253)
@@ -33,5 +33,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_ConsolidationAtom_NodePowMan_SP.java	(revision 1253)
@@ -33,5 +33,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox1/CB1_FCFS_Random_SP.java	(revision 1253)
@@ -27,5 +27,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Random_SP.java	(revision 1253)
@@ -28,5 +28,5 @@
 import schedframe.scheduling.tasks.TaskInterface;
 import schedframe.scheduling.tasks.phases.PhaseBehaviour;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import dcworms.schedframe.scheduling.ExecTask;
 import example.energy.coolemall.CoolEmAllTestbedMeasurements;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_SP.java	(revision 1253)
@@ -29,5 +29,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/computebox2/CB2_FCFS_Consolidation_NodePowMan_SP.java	(revision 1253)
@@ -33,5 +33,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1247)
+++ DCWoRMS/branches/coolemall/src/example/localplugin/coolemall/recs/RECS_FCFS_Random_SP.java	(revision 1253)
@@ -29,5 +29,5 @@
 import schedframe.scheduling.queue.TaskQueueList;
 import schedframe.scheduling.tasks.TaskInterface;
-import testbed_hpc.Node_Fan_Mapping;
+import test.Node_Fan_Mapping;
 import example.localplugin.BaseLocalSchedulingPlugin;
 import gridsim.dcworms.DCWormsTags;
Index: DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_RackPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/localplugin/FCFSBF_RackPlugin.java	(revision 574)
+++ 	(revision )
@@ -1,54 +1,0 @@
-package example.localplugin;
-
-import gridsim.dcworms.DCWormsTags;
-import schedframe.events.scheduling.SchedulingEvent;
-import schedframe.scheduling.manager.resources.ClusterResourceManager;
-import schedframe.scheduling.manager.resources.ResourceManager;
-import schedframe.scheduling.manager.tasks.JobRegistry;
-import schedframe.scheduling.plan.SchedulingPlanInterface;
-import schedframe.scheduling.plan.impl.SchedulingPlan;
-import schedframe.scheduling.plugin.grid.ModuleList;
-import schedframe.scheduling.queue.TaskQueue;
-import schedframe.scheduling.queue.TaskQueueList;
-import schedframe.scheduling.tasks.TaskInterface;
-
-public class FCFSBF_RackPlugin  extends BaseLocalSchedulingPlugin {
-
-	public FCFSBF_RackPlugin() {
-	}
-
-	public SchedulingPlanInterface<?> schedule(SchedulingEvent event, TaskQueueList queues, JobRegistry jobRegistry,
-			ResourceManager resManager, ModuleList modules) {
-
-		ClusterResourceManager resourceManager = (ClusterResourceManager) resManager;
-		SchedulingPlan plan = new SchedulingPlan();
-		// choose the events types to serve.
-		// Different actions for different events are possible.
-		switch (event.getType()) {
-		case START_TASK_EXECUTION:
-		case TASK_FINISHED:
-		//case TIMER:
-			// our tasks are placed only in first queue (see
-			// BaseLocalSchedulingPlugin.placeJobsInQueues() method)
-			TaskQueue q = queues.get(0);
-			// check all tasks in queue
-
-			for (int i = 0; i < q.size(); i++) {
-				TaskInterface<?> task = q.get(i);
-				// if status of the tasks in READY
-				if (task.getStatus() == DCWormsTags.READY) {
-					System.out.println(resourceManager.getSchedulers().get(0).get_name());
-					String nodeName = resourceManager.getSchedulers().get(0).get_name();
-					if (nodeName != null) {
-						addToSchedulingPlan(plan, task, nodeName);
-					}
-				}
-			}
-
-			break;
-		}
-		return plan;
-	}
-
-
-}
Index: DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java
===================================================================
--- DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 910)
+++ DCWoRMS/branches/coolemall/src/example/timeestimation/coolemall/PhaseTimeEstimationPlugin.java	(revision 1253)
@@ -5,8 +5,6 @@
 
 import schedframe.events.scheduling.SchedulingEvent;
-import schedframe.resources.units.PEUnit;
 import schedframe.resources.units.ResourceUnit;
 import schedframe.resources.units.ResourceUnitName;
-import schedframe.resources.units.StandardResourceUnitName;
 import schedframe.scheduling.tasks.phases.ResourceConsumption;
 import dcworms.schedframe.scheduling.ExecTask;
@@ -20,8 +18,4 @@
 	 * Requested calculation should be done based on the resources allocated for the task,
 	 * task description and task completion percentage.
-	 * 
-	 * Example implementation calculate the estimation based on cpu processing power.
-	 * There is also a simple assumption, that cpu processing power is a linear function
-	 * of number of allocated cpus and their speed.
 	 */
 	public double execTimeEstimation(SchedulingEvent event, ExecTask task,
@@ -30,18 +24,7 @@
 
 		Executable exec = (Executable) task;
-		// System.out.println(exec.getJobId() +":"+ exec.getApplicationName());
-		// collect all information necessary to do the calculation
-		PEUnit peUnit = (PEUnit) allocatedResources.get(StandardResourceUnitName.PE);
-		
-		// obtain single pe speed
-		int speed = peUnit.getSpeed();
 
-		// number of used pe  
-		int cnt = peUnit.getUsedAmount();
-
-		// estimate remainingTaskLength
 		ResourceConsumption resConsumption = exec.getResourceConsumptionProfile().getCurrentResourceConsumption();
 
-		// do the calculation
 		double execTime = (1 - completionPercentage/100) * resConsumption.getDuration();
 
Index: DCWoRMS/branches/coolemall/src/test/Node_Fan_Mapping.java
===================================================================
--- DCWoRMS/branches/coolemall/src/test/Node_Fan_Mapping.java	(revision 1253)
+++ DCWoRMS/branches/coolemall/src/test/Node_Fan_Mapping.java	(revision 1253)
@@ -0,0 +1,133 @@
+package test;
+
+import com.google.common.collect.BiMap;
+import com.google.common.collect.HashBiMap;
+
+public class Node_Fan_Mapping {
+
+	private static BiMap<String, String> node_fan;
+	
+	public static void init(){
+		node_fan = HashBiMap.create(18);
+		
+		node_fan.put("room1/rack1/recs1/i7_0_01", "room1/rack1/recs1/Outlet_1");
+		node_fan.put("room1/rack1/recs1/i7_0_02", "room1/rack1/recs1/Outlet_2");
+		node_fan.put("room1/rack1/recs1/i7_0_03", "room1/rack1/recs1/Outlet_3");
+		node_fan.put("room1/rack1/recs1/i7_0_04", "room1/rack1/recs1/Outlet_4");
+		node_fan.put("room1/rack1/recs1/i7_0_05", "room1/rack1/recs1/Outlet_5");
+		node_fan.put("room1/rack1/recs1/i7_0_06", "room1/rack1/recs1/Outlet_6");
+		node_fan.put("room1/rack1/recs1/i7_0_07", "room1/rack1/recs1/Outlet_7");
+		node_fan.put("room1/rack1/recs1/i7_0_08", "room1/rack1/recs1/Outlet_8");
+		node_fan.put("room1/rack1/recs1/i7_0_09", "room1/rack1/recs1/Outlet_9");
+		node_fan.put("room1/rack1/recs1/i7_0_10", "room1/rack1/recs1/Inlet_1");
+		node_fan.put("room1/rack1/recs1/i7_0_11", "room1/rack1/recs1/Inlet_2");
+		node_fan.put("room1/rack1/recs1/i7_0_12", "room1/rack1/recs1/Inlet_3");
+		node_fan.put("room1/rack1/recs1/i7_0_13", "room1/rack1/recs1/Inlet_4");
+		node_fan.put("room1/rack1/recs1/i7_0_14", "room1/rack1/recs1/Inlet_5");
+		node_fan.put("room1/rack1/recs1/i7_0_15", "room1/rack1/recs1/Inlet_6");
+		node_fan.put("room1/rack1/recs1/i7_0_16", "room1/rack1/recs1/Inlet_7");
+		node_fan.put("room1/rack1/recs1/i7_0_17", "room1/rack1/recs1/Inlet_8");
+		node_fan.put("room1/rack1/recs1/i7_0_18", "room1/rack1/recs1/Inlet_9");
+		
+		node_fan.put("room1/rack1/recs2/atom64_0_01", "room1/rack1/recs2/Outlet_1");
+		node_fan.put("room1/rack1/recs2/atom64_0_02", "room1/rack1/recs2/Outlet_2");
+		node_fan.put("room1/rack1/recs2/atom64_0_03", "room1/rack1/recs2/Outlet_3");
+		node_fan.put("room1/rack1/recs2/atom64_0_04", "room1/rack1/recs2/Outlet_4");
+		node_fan.put("room1/rack1/recs2/atom64_0_05", "room1/rack1/recs2/Outlet_5");
+		node_fan.put("room1/rack1/recs2/atom64_0_06", "room1/rack1/recs2/Outlet_6");
+		node_fan.put("room1/rack1/recs2/atom64_0_07", "room1/rack1/recs2/Outlet_7");
+		node_fan.put("room1/rack1/recs2/atom64_0_08", "room1/rack1/recs2/Outlet_8");
+		node_fan.put("room1/rack1/recs2/atom64_0_09", "room1/rack1/recs2/Outlet_9");
+		node_fan.put("room1/rack1/recs2/atom64_0_10", "room1/rack1/recs2/Inlet_1");
+		node_fan.put("room1/rack1/recs2/atom64_0_11", "room1/rack1/recs2/Inlet_2");
+		node_fan.put("room1/rack1/recs2/atom64_0_12", "room1/rack1/recs2/Inlet_3");
+		node_fan.put("room1/rack1/recs2/atom64_0_13", "room1/rack1/recs2/Inlet_4");
+		node_fan.put("room1/rack1/recs2/atom64_0_14", "room1/rack1/recs2/Inlet_5");
+		node_fan.put("room1/rack1/recs2/atom64_0_15", "room1/rack1/recs2/Inlet_6");
+		node_fan.put("room1/rack1/recs2/atom64_0_16", "room1/rack1/recs2/Inlet_7");
+		node_fan.put("room1/rack1/recs2/atom64_0_17", "room1/rack1/recs2/Inlet_8");
+		node_fan.put("room1/rack1/recs2/atom64_0_18", "room1/rack1/recs2/Inlet_9");
+		
+		node_fan.put("room1/rack1/recs3/amdf_0_01", "room1/rack1/recs3/Outlet_1");
+		node_fan.put("room1/rack1/recs3/amdf_0_02", "room1/rack1/recs3/Outlet_2");
+		node_fan.put("room1/rack1/recs3/amdf_0_03", "room1/rack1/recs3/Outlet_3");
+		node_fan.put("room1/rack1/recs3/amdf_0_04", "room1/rack1/recs3/Outlet_4");
+		node_fan.put("room1/rack1/recs3/amdf_0_05", "room1/rack1/recs3/Outlet_5");
+		node_fan.put("room1/rack1/recs3/amdf_0_06", "room1/rack1/recs3/Outlet_6");
+		node_fan.put("room1/rack1/recs3/amdf_0_07", "room1/rack1/recs3/Outlet_7");
+		node_fan.put("room1/rack1/recs3/amdf_0_08", "room1/rack1/recs3/Outlet_8");
+		node_fan.put("room1/rack1/recs3/amdf_0_09", "room1/rack1/recs3/Outlet_9");
+		node_fan.put("room1/rack1/recs3/amdf_0_10", "room1/rack1/recs3/Inlet_1");
+		node_fan.put("room1/rack1/recs3/amdf_0_11", "room1/rack1/recs3/Inlet_2");
+		node_fan.put("room1/rack1/recs3/amdf_0_12", "room1/rack1/recs3/Inlet_3");
+		node_fan.put("room1/rack1/recs3/amdf_0_13", "room1/rack1/recs3/Inlet_4");
+		node_fan.put("room1/rack1/recs3/amdf_0_14", "room1/rack1/recs3/Inlet_5");
+		node_fan.put("room1/rack1/recs3/amdf_0_15", "room1/rack1/recs3/Inlet_6");
+		node_fan.put("room1/rack1/recs3/amdf_0_16", "room1/rack1/recs3/Inlet_7");
+		node_fan.put("room1/rack1/recs3/amdf_0_17", "room1/rack1/recs3/Inlet_8");
+		node_fan.put("room1/rack1/recs3/amdf_0_18", "room1/rack1/recs3/Inlet_9");
+		
+		
+		/*node_fan.put("DefNode07_1", "Outlet_1");
+		node_fan.put("DefNode06_1", "Outlet_2");
+		node_fan.put("DefNode06_2", "Outlet_3");
+		node_fan.put("DefNode06_3", "Outlet_4");
+		node_fan.put("DefNode06_4", "Outlet_5");
+		node_fan.put("DefNode07_2", "Outlet_6");
+		node_fan.put("DefNode07_3", "Outlet_7");
+		node_fan.put("DefNode06_5", "Outlet_8");
+		node_fan.put("DefNode06_6", "Outlet_9");
+		node_fan.put("DefNode06_7", "Inlet_1");
+		node_fan.put("DefNode06_8", "Inlet_2");
+		node_fan.put("DefNode06_9", "Inlet_3");
+		node_fan.put("DefNode06_10", "Inlet_4");
+		node_fan.put("DefNode06_11", "Inlet_5");
+		node_fan.put("DefNode06_12", "Inlet_6");
+		node_fan.put("DefNode06_13", "Inlet_7");
+		node_fan.put("DefNode06_14", "Inlet_8");
+		node_fan.put("DefNode07_4", "Inlet_9");
+		
+		node_fan.put("DefNode02_1", "Outlet_1");
+		node_fan.put("DefNode02_2", "Outlet_2");
+		node_fan.put("DefNode02_3", "Outlet_3");
+		node_fan.put("DefNode02_4", "Outlet_4");
+		node_fan.put("DefNode02_5", "Outlet_5");
+		node_fan.put("DefNode02_6", "Outlet_6");
+		node_fan.put("DefNode02_7", "Outlet_7");
+		node_fan.put("DefNode02_8", "Outlet_8");
+		node_fan.put("DefNode02_9", "Outlet_9");
+		node_fan.put("DefNode02_10", "Inlet_1");
+		node_fan.put("DefNode02_11", "Inlet_2");
+		node_fan.put("DefNode02_12", "Inlet_3");
+		node_fan.put("DefNode02_13", "Inlet_4");
+		node_fan.put("DefNode02_14", "Inlet_5");
+		node_fan.put("DefNode02_15", "Inlet_6");
+		node_fan.put("DefNode02_16", "Inlet_7");
+		node_fan.put("DefNode02_17", "Inlet_8");
+		node_fan.put("DefNode02_18", "Inlet_9");
+		
+		node_fan.put("DefNode14_1", "Outlet_1");
+		node_fan.put("DefNode05_1", "Outlet_2");
+		node_fan.put("DefNode05_2", "Outlet_3");
+		node_fan.put("DefNode05_3", "Outlet_4");
+		node_fan.put("DefNode05_4", "Outlet_5");
+		node_fan.put("DefNode14_2", "Outlet_6");
+		node_fan.put("DefNode14_3", "Outlet_7");
+		node_fan.put("DefNode05_5", "Outlet_8");
+		node_fan.put("DefNode05_6", "Outlet_9");
+		node_fan.put("DefNode05_7", "Inlet_1");
+		node_fan.put("DefNode05_8", "Inlet_2");
+		node_fan.put("DefNode05_9", "Inlet_3");
+		node_fan.put("DefNode05_10", "Inlet_4");
+		node_fan.put("DefNode05_11", "Inlet_5");
+		node_fan.put("DefNode05_12", "Inlet_6");
+		node_fan.put("DefNode05_13", "Inlet_7");
+		node_fan.put("DefNode05_4", "Inlet_8");
+		node_fan.put("DefNode14_4", "Inlet_9");*/
+	}
+
+	public static BiMap<String, String> getNode_fan() {
+		return node_fan;
+	}
+	
+}